Subject: Did you see my pizza article?

From: [email-masked] (Michael Johnston -- Michael's Music Service)
Date: 30 Sep 1993 01:31:38 GMT

Did anyone see my pizza article?  Nobody's mentioned it, pro or con,
and I wonder if it even got out.

Cheers!
Michael
-- 
MICHAEL'S MUSIC SERVICE | CIS: 70731,3403 |---------| Barony of the Sacred Stone
4146 Sheridan Drive     | [email-masked] |----------------| John Apple
Charlotte, NC 28205-5654|(704) 567-1066 (800) 438-4129 |------| Michael Johnston
-- Brother Ambrose, Friars Minor |-------| Guillaume de Pomme, Maitre d'Orgue --